Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaBridgeExampleClients.Builder

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients.Builder
  - - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBridgeExampleClients.Builder

- Enclosing class:
    KafkaBridgeExampleClients

      public static class KafkaBridgeExampleClients.Builder
      extends KafkaBasicExampleClients.Builder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KafkaBridgeExampleClients` | `build()` |
    `KafkaBridgeExampleClients.Builder` | `withAdditionalConfig​(String additionalConfig)` |
    `KafkaBridgeExampleClients.Builder` | `withBootstrapAddress​(String bootstrapAddress)` |
    `KafkaBridgeExampleClients.Builder` | `withConsumerGroup​(String consumerGroup)` |
    `KafkaBridgeExampleClients.Builder` | `withConsumerName​(String consumerName)` |
    `KafkaBridgeExampleClients.Builder` | `withDelayMs​(long delayMs)` |
    `KafkaBridgeExampleClients.Builder` | `withMessageCount​(int messageCount)` |
    `KafkaBridgeExampleClients.Builder` | `withPollInterval​(int pollInterval)` |
    `KafkaBridgeExampleClients.Builder` | `withPort​(int port)` |
    `KafkaBridgeExampleClients.Builder` | `withProducerName​(String producerName)` |
    `KafkaBridgeExampleClients.Builder` | `withTopicName​(String topicName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withPort

          public KafkaBridgeExampleClients.Builder withPort​(int port)

    - #### withPollInterval

          public KafkaBridgeExampleClients.Builder withPollInterval​(int pollInterval)

    - #### withProducerName

          public KafkaBridgeExampleClients.Builder withProducerName​(String producerName)

      Overrides:
        `withProducerName` in class `KafkaBasicExampleClients.Builder`

    - #### withConsumerName

          public KafkaBridgeExampleClients.Builder withConsumerName​(String consumerName)

      Overrides:
        `withConsumerName` in class `KafkaBasicExampleClients.Builder`

    - #### withBootstrapAddress

          public KafkaBridgeExampleClients.Builder withBootstrapAddress​(String bootstrapAddress)

      Overrides:
        `withBootstrapAddress` in class `KafkaBasicExampleClients.Builder`

    - #### withTopicName

          public KafkaBridgeExampleClients.Builder withTopicName​(String topicName)

      Overrides:
        `withTopicName` in class `KafkaBasicExampleClients.Builder`

    - #### withMessageCount

          public KafkaBridgeExampleClients.Builder withMessageCount​(int messageCount)

      Overrides:
        `withMessageCount` in class `KafkaBasicExampleClients.Builder`

    - #### withAdditionalConfig

          public KafkaBridgeExampleClients.Builder withAdditionalConfig​(String additionalConfig)

      Overrides:
        `withAdditionalConfig` in class `KafkaBasicExampleClients.Builder`

    - #### withConsumerGroup

          public KafkaBridgeExampleClients.Builder withConsumerGroup​(String consumerGroup)

      Overrides:
        `withConsumerGroup` in class `KafkaBasicExampleClients.Builder`

    - #### withDelayMs

          public KafkaBridgeExampleClients.Builder withDelayMs​(long delayMs)

      Overrides:
        `withDelayMs` in class `KafkaBasicExampleClients.Builder`

    - #### build

          public KafkaBridgeExampleClients build()

      Overrides:
        `build` in class `KafkaBasicExampleClients.Builder`